Eclipse Remote Application Platform

## org.eclipse.swt.events
Interface DisposeListener

    public interface DisposeListener

Classes which implement this interface provide a method that deals with the event that is generated when a widget is disposed.

After creating an instance of a class that implements this interface it can be added to a widget using the `addDisposeListener` method and removed using the `removeDisposeListener` method. When a widget is disposed, the widgetDisposed method will be invoked.

See Also:
  `DisposeEvent`

Method Summary
`void` `widgetDisposed(DisposeEvent event)` Sent when the widget is disposed.

Method Detail

### widgetDisposed

    void widgetDisposed(DisposeEvent event)

  Sent when the widget is disposed.

  Parameters:
    `event` - an event containing information about the dispose

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0